
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 优惠券
 */

import { request } from '../index'

// 优惠券管理
const toolsCoupons = (data) => {
	return request({
		url: 'coupons/tools/coupons',
		data
	})
}

// 发布优惠券
const pushCoupons = (data) => {
	return request({
		url: 'coupons/tools/coupons',
		method: 'POST',
		data
	})
}

// 关联券产品
const couponsGoods = data => {
	return request({
		url: 'coupons/tools/coupons/goods',
		data
	})
}


// 管理优惠券详情
const magCouponsInfo = (id) => {
	return request({
		url: 'coupons/tools/coupons/' + id
	})
}

// 上下架
const magCouponsStatus = (id) => {
	return request({
		url: 'coupons/tools/coupons/' + id + '/status',
		method: 'POST'
	})
}

// 设为推荐
const magCouponsRecommend = id => {
	return request({
		url: 'coupons/tools/coupons/' + id + '/recommend'
	})
}

export {
	toolsCoupons,
	pushCoupons,
	couponsGoods,
	magCouponsInfo,
	magCouponsStatus,
	magCouponsRecommend
}
